export declare class Option {
    value: string;
    label: string;
    tag?: any;
    disabled: boolean;
    highlighted: boolean;
    selected: boolean;
    shown: boolean;
    constructor(value: string, label: string, tag?: any);
    show(): void;
    hide(): void;
    disable(): void;
    enable(): void;
    undecoratedCopy(): {
        label: string;
        value: string;
        tag: any;
    };
}
